Name:          libevdev
Version:       1.12.1
Release:       1mamba
Summary:       A wrapper library for evdev devices
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/libevdev/
Source:        http://www.freedesktop.org/software/libevdev/libevdev-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
libevdev is a wrapper library for evdev devices. it moves the common tasks when dealing with evdev devices into a library and provides a library interface to the callers, thus avoiding erroneous ioctls, etc.
The eventual goal is that libevdev wraps all ioctls available to evdev devices, thus making direct access unnecessary.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Kernel and Hardware
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libevdev.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libevdev-1.0
%dir %{_includedir}/libevdev-1.0/libevdev
%{_includedir}/libevdev-1.0/libevdev/libevdev*.h
%{_libdir}/libevdev.a
%{_libdir}/libevdev.la
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files tools
%defattr(-,root,root)
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool
%{_bindir}/touchpad-edge-detector
%{_mandir}/man1/libevdev-tweak-device.1*
%{_mandir}/man1/mouse-dpi-tool.1*
%{_mandir}/man1/touchpad-edge-detector.1*

%changelog
* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Mon Feb 01 2021 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Jan 12 2021 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Thu Jul 16 2020 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Fri Aug 30 2019 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Mon Jun 10 2019 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Oct 30 2018 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 1.5.9-1mamba
- automatic version update by autodist

* Wed Jan 31 2018 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Fri Jan 06 2017 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Thu Dec 01 2016 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Tue Aug 23 2016 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Thu Jun 16 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Tue May 17 2016 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Tue Jan 05 2016 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Sat Sep 05 2015 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Jun 24 2015 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Apr 28 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Apr 10 2015 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Mar 08 2015 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Thu Dec 11 2014 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Fri Oct 10 2014 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Tue Aug 12 2014 Automatic Build System <autodist@mambasoft.it> 1.2.99.901-1mamba
- automatic update by autodist

* Sun Jun 08 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Wed May 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- package created using the webbuild interface
